export interface ShapeSimilarityOpts {
    estimationPoints?: number;
    rotations?: number;
}
/**
 * Estimate how similar the shapes of 2 curves are to each
 * accounting for translation, scale, and rotation
 * @param curve1
 * @param curve2
 * @param options
 * @returns between 1 and 0 depending on how similar the shapes are, where 1 means identical.
 */
export declare const shapeSimilarity: (curve1: import("./geometry").Point[], curve2: import("./geometry").Point[], options?: ShapeSimilarityOpts) => number;
export default shapeSimilarity;
